<?php
/**
 * @file
 * Beale Street template.php
 */
  
function get_bealestreet_style() {
  $style = theme_get_setting('bealestreet_style');
  if (!$style) {
    $style = 'blue';
  }
  if (theme_get_setting('bealestreet_pickstyle')) {
    if (isset($_COOKIE["bealestyle"])) {
      $style = $_COOKIE["bealestyle"];
      $color = array('blue', 'red', 'green', 'orange');
      if (!in_array($style, $color)) {
        $style = "blue";
      }
    }
  }
  return $style;
}

/**
 * Implements hook_preprocess_html()
 */
function bealestreet_preprocess_html(&$variables) {
  $style =  get_bealestreet_style();
  $css = '';

  drupal_add_css(path_to_theme() . '/style.css');
  drupal_add_css(path_to_theme() . '/css/' . $style . '.css');

  if (theme_get_setting('bealestreet_suckerfish')) {
    drupal_add_css(path_to_theme() . '/css/suckerfish_' . $style . '.css');
  }

  if (theme_get_setting('bealestreet_uselocalcontent')) {
    $local_content = path_to_theme() . '/' . theme_get_setting('bealestreet_localcontentfile');
    if (file_exists($local_content)) {
      drupal_add_css($local_content);
    }
  }

  if (theme_get_setting('bealestreet_pickstyle')) {
    drupal_add_js(path_to_theme() . '/js/pickstyle.js');
  }

  if (theme_get_setting('bealestreet_width')) {
    $css .= '#page {
      width : ' . theme_get_setting('bealestreet_fixedwidth') . 'px;
    }
    .topBlock, .bottomBlock, .middleWrapper, #loginWrapper {
      width : ' . theme_get_setting('bealestreet_fixedwidth') . 'px;
    }';
  }
  else {
    $css .= '#page {
      width: 95%;
    }
    .topBlock, .bottomBlock, .middleWrapper, #loginWrapper {
      width : 95%;
    }';
  } 

  if (theme_get_setting('bealestreet_leftsidebarwidth')) {
    $css .= '#sidebar-left, .region-sidebar-first {
      width : ' . theme_get_setting('bealestreet_leftsidebarwidth') . ';
    }';
  } 

  if (theme_get_setting('bealestreet_rightsidebarwidth')) {
    $css .= '#sidebar-right, .region-sidebar-second {
      width : ' . theme_get_setting('bealestreet_rightsidebarwidth') . ';
    }';
  } 

  if (theme_get_setting('bealestreet_fontfamily')) {
    $css .= 'body { font-family: ' . (theme_get_setting('bealestreet_fontfamily') != 'Custom' ? theme_get_setting('bealestreet_fontfamily') : str_replace(array("&quot;", '\\', '/', '&#039;', '(', ')', ':', ';'), array('"', ''), check_plain(theme_get_setting('bealestreet_customfont')))) . "; }\n";
  }

  // Add inline CSS
  drupal_add_css($css, array('type' => 'inline', 'preprocess' => FALSE));
}

/**
 * Implements hook_preprocess_block()
 */
function bealestreet_preprocess_block(&$variables) {
  // In the header region visually hide block titles.
  if (theme_get_setting('bealestreet_suckerfish') && ($variables['block']->region == 'suckerfish_menu')) {
    $variables['title_attributes_array']['class'][] = 'element-invisible';
  }
  if ($variables['block']->region == 'header' || $variables['block']->region == 'search_box') {
    $variables['title_attributes_array']['class'][] = 'element-invisible';
  }
  $variables['title_attributes_array']['class'][] = 'title';
}

